use crate::{pkg::install_pkgs, run_command};

use super::str_vec;

pub fn setup_zram() {
    install_pkgs(&["zram-generator"]);
    std::fs::write(
        "/mnt/etc/systemd/zram-generator.conf",
        include_str!("../root/zram-generator.conf"),
    )
    .unwrap();
    run_command(
        &str_vec(vec![
            "arch-chroot",
            "/mnt",
            "systemctl",
            "enable",
            "systemd-zram-setup@zram0.service",
        ]),
        None,
        false,
    );
}
